% Copyright (C) 2016 Matthew O'Toole (motoole@dgp.toronto.edu)
% This file is part of the Structured Light Transport Framework (v1.0.0)
%
%     Structured Light Transport Prototype by Kiriakos Kutulakos and 
%     Matthew O'Toole is licensed under a Creative Commons Attribution-
%     NonCommercial-ShareAlike 4.0 International License 
%     (http://creativecommons.org/licenses/by-nc-sa/4.0/).  Based on a 
%     work at http://www.dgp.toronto.edu/~motoole/slt.html.  Permissions 
%     beyond the scope of this license may be available at 
%     http://www.cs.toronto.edu/~kyros.

function make

if (ismac)
    flags = '-D_x64 -D_OSX';
    dir = '/Users/motoole/Dropbox/PDCDepth/experiments2/AVT/AVT_GigE_SDK';
    dir_inc = '/inc-pc';
    dir_lib = '/bin-pc/x64';
elseif (ispc)
    flags = '-D_x64 -D_WINDOWS';
    dir = 'C:\Users\Rahul\Documents\MATLAB\DLPLightCrafter\DLPLightCrafter\';
    dir_inc = '/inc-pc';
    dir_lib = '/lib-pc/x64';
end

% Compile DLP LightCrafter code
cmd = sprintf('mex %s DLPLightCrafter_.cpp lcr_cmd.c lcr_packetizer.c tcp_client.c', flags);
eval(cmd);

