import cv2
import numpy as np
from matplotlib import pyplot as plt

import sys


color_image = sys.argv[1]

img = cv2.imread(color_image)
# depth_image = sys.argv[2]

# img = cv2.fastNlMeansDenoising(img)
#img = cv2.medianBlur(img, 9)
img = cv2.bilateralFilter(img, 15, 45, 50)


#blur edges to remove some noise
#img = cv2.GaussianBlur(img, (5,5), 10)
#threshold the image
th = cv2.adaptiveThreshold(cv2.cvtColor(img, cv2.COLOR_BGR2GRAY),255,cv2.ADAPTIVE_THRESH_GAUSSIAN_C, cv2.THRESH_BINARY,11,2)

#blur edges to remove some noise
th = cv2.GaussianBlur(th, (5,5), 10)

#threshold again
th = cv2.adaptiveThreshold(th,255,cv2.ADAPTIVE_THRESH_GAUSSIAN_C, cv2.THRESH_BINARY,11,2)
#th = ~th

#th = cv2.Canny(th, 100, 200)
# th = cv2.Canny(th, 127	, 230)

kernel = np.ones((3,3), 'uint8')
th = cv2.erode(th, kernel, iterations= 2)
#edges = cv2.Canny(filtered,100,200)
#edges = cv2.Canny(filtered,100,200)
#th = cv2.GaussianBlur(th, (5,5), 10)
test = img.copy()
test = np.uint8(test/2.)
th = cv2.cvtColor(th, cv2.COLOR_GRAY2BGR)
test[th[:,:,1] <= 127] = (0, 255, 0)	
th[th[:,:,1] <= 100] = (0, 255, 0)	
th[th[:,:,2] == 255] = (0, 0, 0)

th = cv2.medianBlur(th,9)

cv2.imwrite('test_lines.bmp', th)

# cv2.imshow('th', th)
# cv2.imshow('test', test)

# cv2.waitKey(0)

