import cv2
import numpy as np
import sys

img = cv2.imread(sys.argv[1])
privacy = int(sys.argv[2])

max_val = img.max()

# gray = cv2.cvtColor(img, cv2.COLOR_BGR2GRAY)

print max_val

pixelpoints = np.nonzero(img)
nzmean = np.mean(img[pixelpoints])
nzmean = int(nzmean)

if privacy==0:
	start = np.array([255, 0, 0])

	end  = np.array([0, 0, 255])

	m = (end - start) / (max_val - nzmean)

	img [img[:, :, 1] < nzmean] = (0, 0, 0)
	img [img[:, :, 1] >= nzmean] = start + m * (img[img[:, :, 1] >= nzmean] - np.array([nzmean, nzmean, nzmean]))

	cv2.imwrite('depth_colored.bmp', img)

else:
	img [img [:, :, 1] < max_val - 2] = (0, 0, 0)
	img [img [:, :, 1] >= max_val - 2] = (0, 0, 255)
	cv2.imwrite('privacy.bmp', img)


