
#include "common.h"
#include "error.h"
#include "lcr_cmd.h"
#include "lcr_packetizer.h"


int main(int argc, char* argv[])
{
	printf("Compiled successfully!\n");

	ErrorCode_t err = LCR_CMD_Open(1);
	printf("Error status: %d\n", err);
	char buf[255];
	LCR_CMD_GetRevision(REV_DM365, buf);
	printf("Revision: %s\n", buf);
	// LCR_CMD_DisplayStaticColor(0x00FF0000);

	LCR_CMD_SetDisplayMode((LCR_DisplayMode_t)(0x00));
	char *filename = "black.bmp";
	if (argc== 2)
		filename = argv[1];
	LCR_CMD_DisplayStaticImage(filename);


	err = LCR_CMD_Close();
	printf("Error status: %d\n", err);
}
